<?
session_start();
include("../../clases/BDConexion.php");
include("../../clases/clsPer.php");
include("../funcion/funciones1.php");
$objPer=new clsPer;
$rs=$objPer->getLugarDistanciaParam($origen,$destino);
$row=$objPer->NextRow($rs);
$distancia=$row['distancia'];

$rsth=$objPer->getTransTH($matricula);
$rowth=$objPer->NextRow($rsth);
$har=$harranq_dch;
$hs=$haire_dch;
$hl=$htierra_dch;
$hap=$hapaga_dch;
$de=$origen;
$para=$destino;
$thpv=calcular_tiempo_trasnc2($hdes,$hs);
$thpt=calcular_tiempo_trasnc2($hap,$har);
//*******
$thpdes=calcular_tiempo_trasnc2($hdes,$hl);
//*******
$tvhm=calcular_horas_formato_inversa2($thpv);
$tvthm=calcular_horas_formato_inversa2($thpt);
//*******
$tvdhm=calcular_horas_formato_inversa2($thpdes);
//*******
if($combustible=='0.00' || $combustible=='0' || $combustible==''){
$facturable='NO';
$combustible=0;
}
/* $tvhm=RestarHoras1($hs,$hl);
$tvthm=RestarHoras1($har,$hap);
$thpv = convertirhhmmtohoras1($tvhm);			
$thpt = convertirhhmmtohoras1($tvthm); */
$control_v[]=array("$har",$hs,$hl,$hap,$de,$para,$distancia,$obser,$cod_rutadet,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada,$hdes,$tvdhm,$pax,$carga);

$v=1;
$fun=1;
$matricula=$matricula;
$via=$vias;
$tipohora=$rowth['tipohora'];
include("../p_rutas_detalle_edit.php");
/* $rs=$objPer->getLugarDistanciaParam($origen,$destino);
$row=$objPer->NextRow($rs);
$distancia=$row['distancia'];

$rsth=$objPer->getTransTH($matricula);
$rowth=$objPer->NextRow($rsth);
$har=$harranq_dch;
$hs=$haire_dch;
$hl=$htierra_dch;
$hap=$hapaga_dch;
$de=$origen;
$para=$destino;

if($matricula=='CFIGR'){

	$control_ve=$control_v;
	$numelementos=count($control_ve);	
	if($numelementos==1){
		
	$thpv=calcular_tiempo_trasnc2($hl,$hs);
	$thpt=calcular_tiempo_trasnc2($hap,$har);
	$tvhm=calcular_horas_formato_inversa2($thpv);
	$tvthm=calcular_horas_formato_inversa2($thpt);

		if($combustible=='0.00' || $combustible=='0' || $combustible==''){
			$facturable='NO';
			$combustible=0;
		}
		$control_v[]=array("$har",$hs,$hl,$hap,$de,$para,$distancia,$obser,$cod_rutadet,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada);	
    }elseif($numelementos>1){
		$indice=$numelementos-1;
        
			$hlant=$control_v[$indice][2];		
		
		$thpv=calcular_tiempo_trasnc2($hl,$hlan;
		$thpt=calcular_tiempo_trasnc2($hap,$har);
		$tvhm=calcular_horas_formato_inversa2($thpv);
		$tvthm=calcular_horas_formato_inversa2($thpt);

		if($combustible=='0.00' || $combustible=='0' || $combustible==''){
			$facturable='NO';
			$combustible=0;
		}
		$control_v[]=array("$har",$hs,$hl,$hap,$de,$para,$distancia,$obser,$cod_rutadet,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada);	
	}
}else{
$thpv=calcular_tiempo_trasnc2($hl,$hs);
$thpt=calcular_tiempo_trasnc2($hap,$har);
$tvhm=calcular_horas_formato_inversa2($thpv);
$tvthm=calcular_horas_formato_inversa2($thpt);

	if($combustible=='0.00' || $combustible=='0' || $combustible==''){
		$facturable='NO';
		$combustible=0;
	}

$control_v[]=array("$har",$hs,$hl,$hap,$de,$para,$distancia,$obser,$cod_rutadet,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada);
}
$v=1;
$fun=1;
$matricula=$matricula;
$via=$vias;
$tipohora=$rowth['tipohora'];
include("../p_rutas_detalle_edit.php"); */

?>